/* eslint-disable no-unused-vars */
import React, { FunctionComponent } from 'react';
import { SvgIcon, SvgIconProps } from '@material-ui/core';
import { ReactComponent as GrowStatus1Icon } from 'assets/imgs/grow-status-1.svg';
import { ReactComponent as GrowStatus2Icon } from 'assets/imgs/grow-status-2.svg';
import { ReactComponent as GrowStatus3Icon } from 'assets/imgs/grow-status-3.svg';

export const AppGrowStatus1Icon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 51 57" {...props} component={GrowStatus1Icon} />;
};

export const AppGrowStatus2Icon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 52 52" {...props} component={GrowStatus2Icon} />;
};

export const AppGrowStatus3Icon: FunctionComponent<SvgIconProps> = (props) => {
  return <SvgIcon viewBox="0 0 51 48" {...props} component={GrowStatus3Icon} />;
};

export default {
  AppGrowStatus1Icon,
  AppGrowStatus2Icon,
  AppGrowStatus3Icon
};
