import React, { FunctionComponent } from 'react';

type Props = {
  condition: boolean;
  wrap: (children: any) => any;
};

const ConditionalWrap: FunctionComponent<Props> = ({
  condition,
  wrap,
  children,
}) => {
  return condition ? wrap(children) : <div>{children}</div>;
};

export default ConditionalWrap;
