import React, { FunctionComponent } from 'react';
import { ColumnInstance, Row } from 'react-table';
import EditableCellTextField from 'EditableCell/EditableCellTextField';

type EditableCellProps = {
  value: any;
  row: Row<any>;
  column: ColumnInstance<any>;
};
// Create an editable cell renderer
const EditableCell: FunctionComponent<EditableCellProps> = (
  props: EditableCellProps
) => {
  return <EditableCellTextField {...props} />;
};

export default EditableCell;
